/*
 *  geometryLib.h
 *  xGLCocoa
 *
 *  Created by mantis on 28/06/05.
 *  Copyright 2005 xonko interactive. All rights reserved.
 *
 */
#import "vectorLib.h"

typedef enum {	// Various geometries
	SpherePrimitive = 0,
	GeospherePrimitive,
	BoxPrimitive,
	QuadPrimitive,
	ConePrimitive,
	CylinderPrimitive,
	PlanePrimitive
} GeometryPrimitive;

typedef struct 
{// GL_C3F_V3F
	GLfloat r, g, b;
	GLfloat x, y, z;
} vertex;

GLuint plainCube(void);
GLuint texturedCube(void);
GLuint texturedQuad(void);
GLuint icosahedron (void);
GLuint xtexturedCube(void);

//GLfloat getCubeIndexedVerts (void);
//GLubyte getCubeFaceIndexes (void);

//GLfloat cubeIndexedVerts;
//GLubyte cubeFaceIndexes;

//vertex *cubeIndexed;
//GLubyte *cubeFaces;

